// file: pfil_init_0.cc
//

// system include files
//
#include <stdlib.h>
#include <string.h>

// isip include files
//
#include "param_file.h"
#include "param_file_constants.h"
#include <integral_constants.h>

// method: init_cc
//
// arguments:
//  char_1* filename: (input) parameter file
//  char_1* magic_string: (input) magic string at the beginning of file
//
// return: logical error status
//
// this is the initializer for the Param_file class
//
logical_1 Param_file::init_cc(char_1* filename_a, char_1* magic_string_a) {

  if (magic_string_a == (char_1*)NULL) {
    error_handler_cc((char_1*)"init_cc",
		     (char_1*)"magic string is not valid");
  }
  
  // set magic_string
  //
  strcpy ((char*)magic_string_d, (char*)magic_string_a);
  
  // call the general init function
  //
  init_cc(filename_a);

  // exit gracefully
  //
  return ISIP_TRUE;
}
